Subject: Re: renormalize histroy with smudge/clean-filter

From: Junio C Hamano <[email-masked]>
Date: Fri, 07 Feb 2025 07:39:31 -0800

Josef Wolf <[email-masked]> writes:

> I completely fail to understand why git insists to operate on smudged files in
> many situations.
>
> IIUC, once clean/smudge are installed, all internal operations should be done
> on clean files. So why do I need this "git add --renormalize ." at all and (in
> the case of cherry-pick) there is not even any way to renormalize before
> picking.
>
> But maybe my understanding is too simplicistic here...

Nah, I suspect that the reason is much simpler.  

Many tools in Git toolset (like cherry-pick) were written long
before clean-smudge got popular, and they were written by those who
did not need clean-smudge.  Those capable of updating them still
have not felt the need for clean-smudge for themselves.  Motivate
them and we may see responses ;-)